MARTe2-core - User story #150

Lint: HighResolutionTimer
28.06.2015 19:01 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

e Source/Core/LOPortability/HighResolutionTimer.h

Architecture & design review
Date of the review: 22/07/2015
Person who did the review: Giuseppe Ferro

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 22/07/2015

Person who did the review: Giuseppe Ferro

Result of review: PASS (MISRA compliant)

List of non-conformities: N/A.

Unit test review

Date of the review: 23/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

HighResolutionTimer was already tested and reviewed on #127.
https://vcis-redmine.f4e.europa.eu/issues/127

Associated revisions

Revision 8dc5cca3 - 03.07.2015 17:25 - André Neto
Corrected HRTFrequency type to uint64 #150.

Revision c4e6a955 - 22.07.2015 16:35 - Giuseppe Ferro
HighResolutionTimerReview

#150

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 03.07.2015 17:12 - André Neto

- Assignee set to André Neto

#5 - 09.07.2015 14:20 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#6 - 09.07.2015 14:22 - Riccardo Vitelli
- Assignee deleted (André Neto)

#7 - 22.07.2015 15:00 - Llorenc Capella

- Assignee set to Giuseppe Ferro

#8 - 22.07.2015 16:39 - Giuseppe Ferro
- Status changed from Code: Rev to Unit: Impl

#9 - 22.07.2015 16:43 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

#10 - 23.07.2015 14:46 - Ivan Herrero
- Status changed from Unit: Impl to Unit: Rev

#11 - 23.07.2015 14:46 - Ilvan Herrero

- Assignee set to Ivan Herrero

#12 - 23.07.2015 15:10 - Ivan Herrero
- Description updated

- Status changed from Unit: Rev to Closed

Unit test review made on revision a14f57d.

#13 - 23.07.2015 15:10 - lvan Herrero

- Assignee deleted (Ilvan Herrero)
